svn commit: r256104 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Mon Oct 7 08:39:54 UTC 2013


Author: pho
Date: Mon Oct  7 08:39:54 2013
New Revision: 256104
URL: http://svnweb.freebsd.org/changeset/base/256104

Log:
  Added test scenario for IGB(4) problem.
  
  Sponsored by:	EMC / Isilon storage division

Added:
  user/pho/stress2/misc/udp.sh   (contents, props changed)

Added: user/pho/stress2/misc/udp.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/udp.sh	Mon Oct  7 08:39:54 2013	(r256104)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2013 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $Id$
+#
+
+# "panic: buf=0xfffffe01a8db2e00 already enqueue at 3923 prod= ..." seen.
+# http://people.freebsd.org/~pho/stress/log/igb001.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+ping -c 1 -t 2 $BLASTHOST > /dev/null 2>&1 ||
+	{ echo "Can not ping $BLASTHOST"; exit 0; }
+
+export runRUNTIME=10m
+export swapLOAD=100
+export udpLOAD=100
+
+export TESTPROGS="
+testcases/swap/swap
+testcases/udp/udp
+"
+
+su $testuser -c 'cd ..; ./testcases/run/run $TESTPROGS'


More information about the svn-src-user mailing list